package com.unis.sxls.server.model;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * @author : yang
 * @version : 1.0
 * @date : 2018/8/24
 */
@Data
@Entity
@Table(name = "sys_file_info")
public class FileInfoVO implements Serializable {
    private static final long serialVersionUID = -5082401234492420871L;
    @Id
    private Long id;

    @Version
    @JSONField(serialize = false)
    private Integer version;

    /** 创建时间 */
    @Temporal(TemporalType.TIMESTAMP)
    @JSONField(serialize = false)
    private Date createTime;

    /** 创建人 */
    @JSONField(serialize = false)
    private String createByPeople;

    /** 名称 */
    @Column(name = "name", length = 50)
    private String name;

    /** 文件大小 */
    @Column(name = "file_size", length = 20)
    private Long fileSize;

    /** 地址 */
    @Column(name = "link", length = 254)
    private String link;

    @Column(name = "business_id")
    private String businessId;

    @Column(name = "status")
    private Integer status;
}
